Callisto4Bootloader: _flexspi_nor_config Struct Reference

Callisto4Bootloader

Data Fields
_flexspi_nor_config Struct Reference

`#include <flexspi_nor_flash.h>`

## Data Fields

flexspi_mem_config_t | memConfig
| Common memory configuration info via FlexSPI. More...
uint32_t | pageSize
| Page size of Serial NOR. More...
uint32_t | sectorSize
| Sector size of Serial NOR. More...
uint8_t | ipcmdSerialClkFreq
| Clock frequency for IP command. More...
uint8_t | isUniformBlockSize
| Sector/Block size is the same. More...
uint8_t | isDataOrderSwapped
| Data order (D0, D1, D2, D3) is swapped (D1,D0, D3, D2) More...
uint8_t | reserved0 [1]
| Reserved for future use. More...
uint8_t | serialNorType
| Serial NOR Flash type: 0/1/2/3. More...
uint8_t | needExitNoCmdMode
| Need to exit NoCmd mode before other IP command. More...
uint8_t | halfClkForNonReadCmd
| Half the Serial Clock for non-read command: true/false. More...
uint8_t | needRestoreNoCmdMode
| Need to Restore NoCmd mode after IP commmand execution. More...
uint32_t | blockSize
| Block size. More...
uint32_t | reserve2 [11]
| Reserved for future use. More...

## Detailed Description

Definition at line 184 of file flexspi_nor_flash.h.

## Field Documentation

## ◆ blockSize

uint32_t _flexspi_nor_config::blockSize

Block size.

Definition at line 197 of file flexspi_nor_flash.h.

## ◆ halfClkForNonReadCmd

uint8_t _flexspi_nor_config::halfClkForNonReadCmd

Half the Serial Clock for non-read command: true/false.

Definition at line 195 of file flexspi_nor_flash.h.

## ◆ ipcmdSerialClkFreq

uint8_t _flexspi_nor_config::ipcmdSerialClkFreq

Clock frequency for IP command.

Definition at line 189 of file flexspi_nor_flash.h.

## ◆ isDataOrderSwapped

uint8_t _flexspi_nor_config::isDataOrderSwapped

Data order (D0, D1, D2, D3) is swapped (D1,D0, D3, D2)

Definition at line 191 of file flexspi_nor_flash.h.

## ◆ isUniformBlockSize

uint8_t _flexspi_nor_config::isUniformBlockSize

Sector/Block size is the same.

Definition at line 190 of file flexspi_nor_flash.h.

## ◆ memConfig

flexspi_mem_config_t _flexspi_nor_config::memConfig

Common memory configuration info via FlexSPI.

Definition at line 186 of file flexspi_nor_flash.h.

Referenced by C4_QSPI_erase(), C4_QSPI_getConfig(), C4_QSPI_read(), C4_QSPI_write(), and QSPI_test().

## ◆ needExitNoCmdMode

uint8_t _flexspi_nor_config::needExitNoCmdMode

Need to exit NoCmd mode before other IP command.

Definition at line 194 of file flexspi_nor_flash.h.

## ◆ needRestoreNoCmdMode

uint8_t _flexspi_nor_config::needRestoreNoCmdMode

Need to Restore NoCmd mode after IP commmand execution.

Definition at line 196 of file flexspi_nor_flash.h.

## ◆ pageSize

uint32_t _flexspi_nor_config::pageSize

Page size of Serial NOR.

Definition at line 187 of file flexspi_nor_flash.h.

## ◆ reserve2

uint32_t _flexspi_nor_config::reserve2[11]

Reserved for future use.

Definition at line 198 of file flexspi_nor_flash.h.

## ◆ reserved0

uint8_t _flexspi_nor_config::reserved0[1]

Reserved for future use.

Definition at line 192 of file flexspi_nor_flash.h.

## ◆ sectorSize

uint32_t _flexspi_nor_config::sectorSize

Sector size of Serial NOR.

Definition at line 188 of file flexspi_nor_flash.h.

## ◆ serialNorType

uint8_t _flexspi_nor_config::serialNorType

Serial NOR Flash type: 0/1/2/3.

Definition at line 193 of file flexspi_nor_flash.h.

The documentation for this struct was generated from the following file:

- drivers/flexspi_nor_flash.h